#ifndef XSTREAMSOURCEINFO_H
#define XSTREAMSOURCEINFO_H

#include "xasset.h"

class XStreamSourceInfo : public XAsset
{
public:
    XStreamSourceInfo();
    ~XStreamSourceInfo();

    virtual void Clear() override;
    virtual void ParseData(XDataStream* aStream) override;

private:
    quint32 mStream;
    quint32 mOffset;
    quint32 mType;
};

#endif // XSTREAMSOURCEINFO_H
